<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO;
use Teknisa\Model\Util\NovoCodigo;
use Zeedhi\Framework\Util\Functions;

class Crm10110RamoAtividadeController extends TeknisaCrud {
    protected $dataSourceName = 'ativcliente_segmercado';

    public function save(DTO\Request $request, DTO\Response $response) {
        
    	foreach($request->getDataSet()->getRows() as $row) {
    	    
            if(!\Zeedhi\Framework\Util\Functions::arrayKeyExists('CDNVATIVCLI', $row)) $row['CDNVATIVCLI'] = 1;
            if(!\Zeedhi\Framework\Util\Functions::arrayKeyExists('CDARVATIVCLI', $row)) $row['CDARVATIVCLI'] = 1;
            if(!\Zeedhi\Framework\Util\Functions::arrayKeyExists('CDSEGMER', $row)) $row['CDSEGMER'] = null;
            
            if($row['__is_new']){
                $row['CDATIVCLI'] = NovoCodigo::geraCodigo($row['NRORG'], "ATIVCLIENTE", 1, 10, false, true);
            }
            
        }

    	parent::save($request, $response);
    }
}