function ger00004500_Prospect_Service(ger00004500_Prospect_Repository, CRM_Utilities){
    
    this.callForInsertProspect = function(currentRow){
        
        var paramsRestEngine = {
            "requestType": "Row",
            "row": currentRow
        };
        
        return ger00004500_Prospect_Repository.callInsertTaskProspect(paramsRestEngine, currentRow);
        
    };
    
    this.callForSelectProspect = function(currentRow){
        
        var paramsRestEngine = {
            "requestType": "Row",
            "row": currentRow
        };
        
        return ger00004500_Prospect_Repository.selectContactProspect(paramsRestEngine, currentRow);
        
    };
    
    this.callForInsertNrseqcontatoForNewOpportunity = function(currentRow){
        
        var paramsRestEngine = {
            "requestType": "Row",
            "row": currentRow
        };
        
        ger00004500_Prospect_Repository.requestForForInsertNrseqcontatoForNewOpportunity(paramsRestEngine);
        
    };
    
    this.callForUpdatePartnerType = function(currentRow){
    
        var paramsRestEngine = {
            
            "requestType": "Row",
            "row": currentRow
            
        };
        
        return ger00004500_Prospect_Repository.requestForUpdatePartnerType(paramsRestEngine);
        
    };
    
    this.callForInsertPartnershipOfTypeClient = function(currentRow){
    
        var paramsRestEngine = {
            
            "requestType": "Row",
            "row": currentRow
            
        };
        
        return ger00004500_Prospect_Repository.requestForInsertPartnershipOfTypeClient(paramsRestEngine);
        
    };
    
    this.callForInsertClient = function(currentRow){
        
        currentRow.NRINSJURPROS = CRM_Utilities.removeValueMask(currentRow.NRINSJURPROS);
        currentRow.CDCLIENTE = this.concatInscriptionTypeWithInscription(currentRow.IDTPIJURPROS, currentRow.NRINSJURPROS);
        currentRow.CRM_NRORGTRAB = getLocalVar('CRM_NRORGTRABALHO');
        
        var paramsRestEngine = {
            
            "requestType": "Row",
            "row": currentRow
            
        };
        
        return ger00004500_Prospect_Repository.requestForInsertClient(paramsRestEngine);
        
    };
    
    this.concatInscriptionTypeWithInscription = function(inscriptionType, inscription){
        
        return inscriptionType + inscription;
            
    };
    
    this.callForDeactivateProspect = function(currentRow){
    
        var paramsRestEngine = {
            
            "requestType": "Row",
            "row": currentRow
            
        };
        
        return ger00004500_Prospect_Repository.requestForDeactivateProspect(paramsRestEngine);
    };
    
    this.callForInsertClientAddress = function(currentRow){
        
        var paramsRestEngine = {
            
            "requestType": "Row",
            "row": currentRow
            
        };
        
        return ger00004500_Prospect_Repository.requestForInsertClientAddress(paramsRestEngine);
        
    };
    
    this.callForSelectProspectAddress = function(currentRow){
        
        var paramsRestEngine = {
            
            "requestType": "Row",
            "row": currentRow
            
        };
        
        return ger00004500_Prospect_Repository.requestForSelectProspectAddress(paramsRestEngine);
        
    };
    
    this.callForSetTaskEndDate = function(widget){
        
        var currentRow = widget.currentRow;
        
        currentRow.NRSEQFILACONTA = widget.NRSEQFILACONTA;
        
        var paramsRestEngine = {
            
            "requestType": "Row",
            "row": currentRow
            
        };
        
        return ger00004500_Prospect_Repository.requestForSetTaskEndDate(paramsRestEngine);
          
    };
    
    this.callForDeleteEvolutionFilesByOriginNumber = function(widget){
        
        var currentRow = widget.currentRow;
        
        var paramsRestEngine = {
            
            "requestType": "Row",
            "row": currentRow
            
        };
        
        return ger00004500_Prospect_Repository.requestForDeleteEvolutionFilesByOriginNumber(paramsRestEngine);
        
    };
    
    this.callForDeactivateTask = function(widget){
        
        var currentRow = widget.currentRow;
        
        var paramsRestEngine = {
            
            "requestType": "Row",
            "row": currentRow
            
        };
        
        return ger00004500_Prospect_Repository.requestForDeactivateTask(paramsRestEngine);
          
    };
    
}
Configuration(function (ContextRegister) {
    ContextRegister.register("ger00004500_Prospect_Service", ger00004500_Prospect_Service);
});
